Group: System/Base
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		qroneko
Version:	0.5.4
Release:	alt2_23
Summary:	A qt front end to crontab
License:	GPLv2+ 
URL:		http://qroneko.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		qroneko-0.5.4-CronModel.cpp.patch
Patch1:		qroneko-0.5.4-ExecuteList.cpp.patch

BuildRequires:	libqt4-declarative libqt4-devel libqt4-help qt4-designer qt4-doc-html qt5-declarative-devel qt5-designer qt5-tools,desktop-file-utils
Source44: import.info


%description
qroneko is a scheduling utility which uses crontab as the back-end.
Features and highlights:
 * Smart "Cron Time" Setting.
 * Lists expected execute time.
 * Enables to edit crontab by text

%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
qmake-qt4 -project -o qroneko.pro
%{qmake_qt4} qroneko.pro
%make_build

%install
install -pd $RPM_BUILD_ROOT/%{_bindir}
install -p %{name} $RPM_BUILD_ROOT/%{_bindir}

#menu-entries
install -pdm 755 $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
install -pd $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -p %{name}.png $RPM_BUILD_ROOT%{_datadir}/pixmaps


%files
%{_bindir}/qroneko
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/qroneko*.desktop
%doc README



%changelog
* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.5.4-alt2_23
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt2_22
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_22
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_21
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_20
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_19
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_18
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_17
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_14
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_13
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_12
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_9
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_8
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.4-alt1_7
- initial fc import

